=== debian/changelog ===
horizon-eda (0.20180331-3build2) disco; urgency=high

  * No change rebuild against yaml-cpp abi break.

 -- Julian Andres Klode <juliank@ubuntu.com>  Wed, 21 Nov 2018 18:05:17 +0100

horizon-eda (0.20180331-3build1) cosmic; urgency=medium

  * No-change rebuild against the latest libgit2

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 31 May 2018 14:22:23 +0000

horizon-eda (0.20180331-3) unstable; urgency=medium

  * Use system dxflib
  * update git version reported

 -- Wookey <wookey@debian.org>  Tue, 03 Apr 2018 01:05:43 +0100

horizon-eda (0.20180331-2) unstable; urgency=medium

  * Update copyright to include hershey_fonts (Closes: #894552)
  * Support dpkg-buildflags hardening flags
  * Correct manpage install

 -- Wookey <wookey@debian.org>  Sun, 01 Apr 2018 15:07:29 +0100

horizon-eda (0.20180331-1) unstable; urgency=medium

  * Initial release (Closes: #889970)

 -- Wookey <wookey@debian.org>  Mon, 26 Feb 2018 23:13:19 +0000
