=== debian/control ===
Source: horizon-eda
Section: electronics
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Wookey <wookey@debian.org>
Build-Depends: debhelper (>=10), doxygen,
 libyaml-cpp-dev, libsqlite3-dev, librsvg2-dev, libcairomm-1.0-dev,
 libepoxy-dev, libgtkmm-3.0-dev, uuid-dev, libboost-dev, libzmq5,
 libzmq3-dev, libglm-dev, libgit2-dev, libcurl4-gnutls-dev, 
 liboce-ocaf-dev, libdxflib-dev
Standards-Version: 4.1.0
Homepage: https://github.com/carrotIndustries/horizon
#Vcs-Git: git://anonscm.debian.org/collab-maint/horizon.git
#Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/horizon.git

Package: horizon-eda
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: EDA layout and schematic application
 Complete design flow from schematic entry to gerber export
 Sane library management
 Unified editor for everything from symbol to board
 Netlist-aware schematic editor
 KiCad's awesome interactive router
 Lag- and glitch-free rendering
 Rule-based DRC
 Undo/redo
 Copy/paste for some objects
 Builds and runs on Linux and Windows
