=== debian/rules ===
#!/usr/bin/make -f
# output every command that modifies files on the build system.
export DH_VERBOSE = 1


# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


%:
	dh $@ 


override_dh_auto_build:
	doxygen doxygen.config
	dh_auto_build

override_dh_auto_install:
	dh_install
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	# should be $(PACKAGE)/$(PREFIX)
	strip $(CURDIR)/debian/horizon-eda/usr/bin/*
endif

override_dh_clean:
	-rm -r docs
	dh_clean

#generate a version file from the git repo.
#release-time, not build time.
version:
	echo "const char *gitversion = \"$(shell git log -1 --pretty="format:%h %ci %s")\";" > $@

.phony: version
