## horizon-eda 0.20181108

=== Makefile ===
--- 
+++ 
@@ -1,12 +1,13 @@
 PKGCONFIG=pkg-config
 
-all: horizon-imp horizon-pool horizon-prj horizon-pool-update-parametric horizon-prj-mgr horizon-pool-mgr
+all: horizon-imp horizon-pool horizon-prj horizon-pool-update-parametric horizon-eda
 
 SRC_COMMON = \
 	src/util/uuid.cpp \
 	src/util/uuid_path.cpp\
 	src/util/sqlite.cpp\
 	src/util/str_util.cpp\
+	src/pool/pool_manager.cpp \
 	src/pool/unit.cpp \
 	src/pool/symbol.cpp \
 	src/pool/part.cpp\
@@ -21,6 +22,8 @@
 	src/block/block.cpp\
 	src/pool/entity.cpp\
 	src/block/component.cpp\
+	src/block/bom.cpp\
+	src/block/bom_export_settings.cpp\
 	src/schematic/schematic.cpp\
 	src/schematic/sheet.cpp\
 	src/common/text.cpp\
@@ -30,7 +33,6 @@
 	src/schematic/bus_ripper.cpp\
 	src/schematic/schematic_symbol.cpp\
 	src/schematic/power_symbol.cpp\
-	src/schematic/frame.cpp\
 	src/schematic/schematic_rules.cpp\
 	src/schematic/rule_single_pin_net.cpp\
 	src/pool/padstack.cpp\
@@ -58,12 +60,15 @@
 	src/board/rule_clearance_copper_other.cpp\
 	src/board/rule_plane.cpp\
 	src/board/rule_diffpair.cpp\
+	src/board/rule_preflight_checks.cpp\
+	src/board/rule_clearance_copper_keepout.cpp\
 	src/board/airwires.cpp\
 	src/board/fab_output_settings.cpp\
 	src/board/board_hole.cpp\
 	src/pool/pool.cpp \
 	src/util/placement.cpp\
 	src/util/util.cpp\
+	src/util/csv.cpp\
 	src/common/object_descr.cpp\
 	src/block/net_class.cpp\
 	src/project/project.cpp\
@@ -73,12 +78,17 @@
 	src/rules/rule.cpp\
 	src/rules/rule_descr.cpp\
 	src/rules/rule_match.cpp\
+	src/rules/rule_match_keepout.cpp\
 	src/parameter/program.cpp\
 	src/parameter/set.cpp\
 	3rd_party/clipper/clipper.cpp\
 	src/common/dimension.cpp\
 	src/logger/logger.cpp\
-	
+	src/parameter/program_polygon.cpp\
+	src/frame/frame.cpp\
+	src/common/keepout.cpp\
+	src/board/board_layers.cpp\
+
 ifeq ($(OS),Windows_NT)
     SRC_COMMON += src/util/uuid_win32.cpp
 endif
@@ -104,11 +114,16 @@
 	3rd_party/polypartition/polypartition.cpp\
 	src/canvas/marker.cpp\
 	src/canvas/annotation.cpp \
+	src/canvas/fragment_cache.cpp \
+	src/util/text_data.cpp \
 	3rd_party/poly2tri/common/shapes.cpp\
 	3rd_party/poly2tri/sweep/cdt.cpp\
 	3rd_party/poly2tri/sweep/sweep.cpp\
 	3rd_party/poly2tri/sweep/sweep_context.cpp\
 	3rd_party/poly2tri/sweep/advancing_front.cpp\
+	src/util/msd.cpp\
+	src/util/msd_animator.cpp\
+	src/canvas/appearance.cpp\
 
 SRC_IMP = \
 	src/imp/imp_main.cpp \
@@ -120,6 +135,7 @@
 	src/imp/imp_padstack.cpp\
 	src/imp/imp_package.cpp\
 	src/imp/imp_board.cpp\
+	src/imp/imp_frame.cpp\
 	src/imp/tool_popover.cpp\
 	src/imp/selection_filter_dialog.cpp\
 	src/imp/action.cpp\
@@ -182,6 +198,16 @@
 	src/core/tool_place_board_hole.cpp\
 	src/core/tool_edit_board_hole.cpp\
 	src/core/tool_generate_courtyard.cpp\
+	src/core/tool_set_group.cpp\
+	src/core/tool_copy_placement.cpp\
+	src/core/tool_copy_tracks.cpp\
+	src/core/tool_swap_nets.cpp\
+	src/core/tool_line_loop_to_polygon.cpp\
+	src/core/tool_change_unit.cpp\
+	src/core/tool_helper_line_width_setting.cpp\
+	src/core/tool_set_nc_all.cpp\
+	src/core/tool_set_nc.cpp\
+	src/core/tool_add_keepout.cpp\
 	src/core/cores.cpp\
 	src/core/clipboard.cpp\
 	src/core/buffer.cpp\
@@ -210,12 +236,15 @@
 	src/dialogs/edit_plane.cpp\
 	src/dialogs/edit_stackup.cpp\
 	src/dialogs/edit_board_hole.cpp\
+	src/dialogs/edit_frame.cpp\
+	src/dialogs/edit_keepout.cpp\
 	src/util/sort_controller.cpp\
 	src/core/core_symbol.cpp\
 	src/core/core_schematic.cpp\
 	src/core/core_padstack.cpp\
 	src/core/core_package.cpp\
 	src/core/core_board.cpp\
+	src/core/core_frame.cpp\
 	src/property_panels/property_panels.cpp\
 	src/property_panels/property_panel.cpp\
 	src/property_panels/property_editor.cpp\
@@ -226,10 +255,12 @@
 	src/widgets/layer_box.cpp\
 	src/widgets/spin_button_dim.cpp\
 	src/widgets/chooser_buttons.cpp\
-	src/widgets/cell_renderer_layer_display.cpp\
+	src/widgets/cell_renderer_color_box.cpp\
 	src/widgets/net_class_button.cpp\
 	src/widgets/parameter_set_editor.cpp\
 	src/widgets/pool_browser.cpp\
+	src/widgets/component_selector.cpp\
+	src/widgets/component_button.cpp\
 	src/export_pdf/export_pdf.cpp\
 	src/imp/keyseq_dialog.cpp\
 	src/canvas/canvas_patch.cpp\
@@ -254,13 +285,16 @@
 	src/widgets/pool_browser_padstack.cpp\
 	src/widgets/pool_browser_unit.cpp\
 	src/widgets/pool_browser_symbol.cpp\
+	src/widgets/pool_browser_frame.cpp\
 	src/widgets/plane_editor.cpp\
+	src/widgets/title_block_values_editor.cpp\
 	3rd_party/dxflib/dl_dxf.cpp\
 	3rd_party/dxflib/dl_writer_ascii.cpp\
 	src/import_dxf/dxf_importer.cpp\
 	src/imp/rules/rules_window.cpp\
 	src/imp/rules/rule_editor.cpp\
 	src/imp/rules/rule_match_editor.cpp\
+	src/imp/rules/rule_match_keepout_editor.cpp\
 	src/imp/rules/rule_editor_hole_size.cpp\
 	src/imp/rules/rule_editor_clearance_silk_exp_copper.cpp\
 	src/imp/rules/rule_editor_track_width.cpp\
@@ -271,6 +305,7 @@
 	src/imp/rules/rule_editor_plane.cpp\
 	src/imp/rules/rule_editor_diffpair.cpp\
 	src/imp/rules/rule_editor_package_checks.cpp\
+	src/imp/rules/rule_editor_clearance_copper_keepout.cpp\
 	src/rules/rules_with_core.cpp\
 	src/rules/cache.cpp\
 	src/board/board_rules_check.cpp\
@@ -281,23 +316,27 @@
 	src/imp/symbol_preview/preview_box.cpp\
 	src/util/gtk_util.cpp\
 	src/imp/fab_output_window.cpp\
+	src/imp/bom_export_window.cpp\
 	src/imp/3d_view.cpp\
 	src/imp/step_export_window.cpp\
+	src/imp/tuning_window.cpp\
 	src/canvas3d/canvas3d.cpp\
 	src/canvas3d/cover.cpp\
 	src/canvas3d/wall.cpp\
 	src/canvas3d/face.cpp\
 	src/canvas3d/background.cpp\
 	src/imp/header_button.cpp\
-	src/imp/preferences.cpp\
-	src/imp/preferences_window.cpp\
-	src/imp/preferences_window_keys.cpp\
+	src/preferences/preferences.cpp\
 	src/pool/pool_cached.cpp\
 	src/canvas/canvas_pads.cpp\
 	src/util/window_state_store.cpp\
 	src/widgets/board_display_options.cpp\
 	src/widgets/log_window.cpp\
 	src/widgets/log_view.cpp\
+	src/imp/hud_util.cpp\
+	src/util/pool_completion.cpp\
+	src/export_bom/export_bom.cpp\
+	src/widgets/unplaced_box.cpp\
 
 SRC_ROUTER = \
 	3rd_party/router/router/pns_router.cpp \
@@ -327,51 +366,6 @@
 	3rd_party/router/router/pns_routing_settings.cpp \
 	3rd_party/router/router/pns_sizes_settings.cpp \
 	3rd_party/router/common/geometry/shape_line_chain.cpp\
+	3rd_party/router/common/geometry/shape_arc.cpp\
 	3rd_party/router/common/geometry/shape.cpp \
 	3rd_party/router/common/geometry/shape_collisions.cpp\
-	3rd_party/router/common/geometry/seg.cpp\
-	3rd_party/router/common/math/math_util.cpp\
-	3rd_party/router/wx_compat.cpp\
-	src/router/pns_horizon_iface.cpp\
-	src/core/tool_route_track_interactive.cpp\
-
-
-SRC_POOL_UTIL = \
-	src/pool-util/util_main.cpp\
-	src/pool-update/pool-update.cpp\
-	src/pool-update/graph.cpp
-
-SRC_POOL_UPDATE_PARA = \
-	src/pool-update-parametric/pool-update-parametric.cpp\
-	
-SRC_PRJ_UTIL = \
-	src/prj-util/util_main.cpp
-
-SRC_PRJ_MGR = \
-	src/prj-mgr/prj-mgr-main.cpp\
-	src/prj-mgr/prj-mgr-app.cpp\
-	src/prj-mgr/prj-mgr-app_win.cpp\
-	src/prj-mgr/prj-mgr-prefs.cpp\
-	src/prj-mgr/pool_cache_window.cpp\
-	src/util/editor_process.cpp\
-	src/prj-mgr/part_browser/part_browser_window.cpp\
-	src/widgets/pool_browser_part.cpp\
-	src/util/sort_controller.cpp\
-	src/widgets/pool_browser.cpp\
-	src/pool-update/pool-update.cpp\
-	src/pool-update/graph.cpp\
-	src/widgets/cell_renderer_layer_display.cpp\
-	src/pool/pool_cached.cpp\
-	src/util/gtk_util.cpp\
-	src/util/window_state_store.cpp\
-	src/widgets/recent_item_box.cpp\
-	src/util/recent_util.cpp\
-	src/widgets/part_preview.cpp\
-	src/widgets/entity_preview.cpp\
-	src/widgets/preview_canvas.cpp\
-	src/widgets/preview_base.cpp\
-	$(SRC_CANVAS)\
-
-SRC_POOL_MGR = \
-	src/pool-mgr/pool-mgr-main.cpp\
-	src/pool-mgr/pool-mgr-app.cpp\
