=== debian/changelog ===
horizon-eda (0.20181108-1) unstable; urgency=medium

  * New upstream version
  * Set rules-requires-root, now I understand it.

 -- Wookey <wookey@debian.org>  Thu, 08 Nov 2018 02:45:24 +0000

horizon-eda (0.20180426-1) unstable; urgency=medium

  * New upstream release
  * Fixes gcc-6 builds (builds in stable)
  * Use system nlohmann-json-dev

 -- Wookey <wookey@debian.org>  Thu, 26 Apr 2018 00:36:41 +0100

horizon-eda (0.20180331-4) unstable; urgency=medium

  * Correct description formatting (Closes: #894693)

 -- Wookey <wookey@debian.org>  Thu, 05 Apr 2018 02:59:23 +0100
