## horizon-eda 0.20191119

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,11 @@
 PKGCONFIG=pkg-config
-
-all: horizon-imp horizon-pool horizon-prj horizon-pool-update-parametric horizon-eda
+BUILDDIR = build
+PROGS    = $(addprefix $(BUILDDIR)/horizon-,imp pool prj eda)
+
+all: $(PROGS)
+pymodule: $(BUILDDIR)/horizon.so
+
+.PHONY: all pymodule
 
 SRC_COMMON = \
 	src/util/uuid.cpp \
@@ -35,6 +40,7 @@
 	src/schematic/power_symbol.cpp\
 	src/schematic/schematic_rules.cpp\
 	src/schematic/rule_single_pin_net.cpp\
+	src/common/pdf_export_settings.cpp\
 	src/pool/padstack.cpp\
 	src/common/polygon.cpp\
 	src/common/hole.cpp\
@@ -65,6 +71,7 @@
 	src/board/airwires.cpp\
 	src/board/fab_output_settings.cpp\
 	src/board/board_hole.cpp\
+	src/board/connection_line.cpp\
 	src/pool/pool.cpp \
 	src/util/placement.cpp\
 	src/util/util.cpp\
@@ -72,8 +79,7 @@
 	src/common/object_descr.cpp\
 	src/block/net_class.cpp\
 	src/project/project.cpp\
-	src/resources.cpp\
-	src/gitversion.cpp\
+	src/util/version.cpp\
 	src/rules/rules.cpp\
 	src/rules/rule.cpp\
 	src/rules/rule_descr.cpp\
@@ -88,10 +94,13 @@
 	src/frame/frame.cpp\
 	src/common/keepout.cpp\
 	src/board/board_layers.cpp\
+	src/pool/pool_parametric.cpp \
 
 ifeq ($(OS),Windows_NT)
     SRC_COMMON += src/util/uuid_win32.cpp
 endif
+SRC_COMMON_GEN += $(GENDIR)/resources.cpp
+SRC_COMMON_GEN += $(GENDIR)/version_gen.cpp
 
 
 SRC_CANVAS = \
@@ -107,6 +116,7 @@
 	src/canvas/hershey_fonts.cpp \
 	src/canvas/drag_selection.cpp \
 	src/canvas/selectables.cpp \
+	src/canvas/selectables_renderer.cpp \
 	src/canvas/hover_prelight.cpp\
 	src/canvas/triangle.cpp\
 	src/canvas/image.cpp\
@@ -124,6 +134,7 @@
 	src/util/msd.cpp\
 	src/util/msd_animator.cpp\
 	src/canvas/appearance.cpp\
+	src/canvas/bitmap_font_util.cpp\
 
 SRC_IMP = \
 	src/imp/imp_main.cpp \
@@ -142,6 +153,7 @@
 	src/imp/action_catalog.cpp\
 	$(SRC_CANVAS) \
 	src/core/core.cpp \
+	src/core/create_tool.cpp \
 	src/core/core_properties.cpp\
 	src/core/tool_move.cpp\
 	src/core/tool_place_junction.cpp\
@@ -191,7 +203,6 @@
 	src/core/tool_update_all_planes.cpp\
 	src/core/tool_draw_dimension.cpp\
 	src/core/tool_set_diffpair.cpp\
-	src/core/tool_select_more.cpp\
 	src/core/tool_set_via_net.cpp\
 	src/core/tool_lock.cpp\
 	src/core/tool_add_vertex.cpp\
@@ -208,6 +219,19 @@
 	src/core/tool_set_nc_all.cpp\
 	src/core/tool_set_nc.cpp\
 	src/core/tool_add_keepout.cpp\
+	src/core/tool_helper_draw_net_setting.cpp\
+	src/core/tool_helper_get_symbol.cpp\
+	src/core/tool_change_symbol.cpp\
+	src/core/tool_place_refdes_and_value.cpp\
+	src/core/tool_helper_restrict.cpp\
+	src/core/tool_draw_polygon_circle.cpp\
+	src/core/tool_draw_connection_line.cpp\
+	src/core/tool_backannotate_connection_lines.cpp\
+	src/core/tool_import_kicad_package.cpp\
+	src/core/tool_smash_silkscreen_graphics.cpp\
+	src/core/tool_renumber_pads.cpp\
+	src/core/tool_fix.cpp\
+	src/core/tool_polygon_to_line_loop.cpp\
 	src/core/cores.cpp\
 	src/core/clipboard.cpp\
 	src/core/buffer.cpp\
@@ -217,7 +241,7 @@
 	src/dialogs/ask_net_merge.cpp\
 	src/dialogs/ask_delete_component.cpp\
 	src/dialogs/select_net.cpp\
-	src/dialogs/symbol_pin_names.cpp\
+	src/dialogs/symbol_pin_names_window.cpp\
 	src/dialogs/manage_buses.cpp\
 	src/dialogs/ask_datum.cpp\
 	src/dialogs/ask_datum_string.cpp\
@@ -238,6 +262,10 @@
 	src/dialogs/edit_board_hole.cpp\
 	src/dialogs/edit_frame.cpp\
 	src/dialogs/edit_keepout.cpp\
+	src/dialogs/select_group_tag.cpp\
+	src/dialogs/ask_datum_angle.cpp\
+	src/dialogs/tool_window.cpp\
+	src/dialogs/renumber_pads_window.cpp\
 	src/util/sort_controller.cpp\
 	src/core/core_symbol.cpp\
 	src/core/core_schematic.cpp\
@@ -261,7 +289,11 @@
 	src/widgets/pool_browser.cpp\
 	src/widgets/component_selector.cpp\
 	src/widgets/component_button.cpp\
+	src/widgets/preview_canvas.cpp\
+	src/widgets/about_dialog.cpp\
+	src/export_pdf/canvas_pdf.cpp\
 	src/export_pdf/export_pdf.cpp\
+	src/export_pdf/export_pdf_board.cpp\
 	src/imp/keyseq_dialog.cpp\
 	src/canvas/canvas_patch.cpp\
 	src/export_gerber/gerber_writer.cpp\
@@ -276,6 +308,8 @@
 	src/imp/footprint_generator/footprint_generator_quad.cpp\
 	src/imp/footprint_generator/footprint_generator_grid.cpp\
 	src/imp/footprint_generator/svg_overlay.cpp\
+	src/imp/footprint_generator/footprint_generator_footag.cpp\
+	src/imp/footprint_generator/footag/display.cpp\
 	src/imp/imp_interface.cpp\
 	src/imp/parameter_window.cpp\
 	src/widgets/pool_browser_part.cpp\
@@ -286,6 +320,7 @@
 	src/widgets/pool_browser_unit.cpp\
 	src/widgets/pool_browser_symbol.cpp\
 	src/widgets/pool_browser_frame.cpp\
+	src/widgets/pool_browser_stockinfo.cpp\
 	src/widgets/plane_editor.cpp\
 	src/widgets/title_block_values_editor.cpp\
 	3rd_party/dxflib/dl_dxf.cpp\
@@ -317,6 +352,7 @@
 	src/util/gtk_util.cpp\
 	src/imp/fab_output_window.cpp\
 	src/imp/bom_export_window.cpp\
+	src/imp/pdf_export_window.cpp\
 	src/imp/3d_view.cpp\
 	src/imp/step_export_window.cpp\
 	src/imp/tuning_window.cpp\
@@ -337,35 +373,7 @@
 	src/util/pool_completion.cpp\
 	src/export_bom/export_bom.cpp\
 	src/widgets/unplaced_box.cpp\
-
-SRC_ROUTER = \
-	3rd_party/router/router/pns_router.cpp \
-	3rd_party/router/router/pns_item.cpp \
-	3rd_party/router/router/pns_node.cpp \
-	3rd_party/router/router/pns_solid.cpp \
-	3rd_party/router/router/pns_optimizer.cpp \
-	3rd_party/router/router/pns_topology.cpp \
-	3rd_party/router/router/pns_walkaround.cpp \
-	3rd_party/router/router/pns_utils.cpp \
-	3rd_party/router/router/pns_algo_base.cpp \
-	3rd_party/router/router/pns_diff_pair_placer.cpp \
-	3rd_party/router/router/pns_diff_pair.cpp \
-	3rd_party/router/router/pns_dp_meander_placer.cpp\
-	3rd_party/router/router/pns_dragger.cpp\
-	3rd_party/router/router/pns_itemset.cpp \
-	3rd_party/router/router/pns_line_placer.cpp \
-	3rd_party/router/router/pns_line.cpp \
-	3rd_party/router/router/pns_via.cpp \
-	3rd_party/router/router/pns_logger.cpp \
-	3rd_party/router/router/pns_meander_placer_base.cpp\
-	3rd_party/router/router/pns_meander_placer.cpp\
-	3rd_party/router/router/pns_meander_skew_placer.cpp\
-	3rd_party/router/router/pns_meander.cpp\
-	3rd_party/router/router/pns_shove.cpp \
-	3rd_party/router/router/time_limit.cpp \
-	3rd_party/router/router/pns_routing_settings.cpp \
-	3rd_party/router/router/pns_sizes_settings.cpp \
-	3rd_party/router/common/geometry/shape_line_chain.cpp\
-	3rd_party/router/common/geometry/shape_arc.cpp\
-	3rd_party/router/common/geometry/shape.cpp \
-	3rd_party/router/common/geometry/shape_collisions.cpp\
+	src/widgets/tag_entry.cpp\
+	src/widgets/layer_help_box.cpp\
+	src/preferences/preferences_util.cpp\
+	src/preferences/preferences_provider.cpp\
