=== debian/changelog ===
horizon-eda (0.20191119-1) unstable; urgency=medium

  * New git snapshot
  * Add myself as maintainer and Wookey as uploader
  * Update patches
  * Add manpage for horizon-eda

 -- Uwe Steinmann <steinm@debian.org>  Wed, 20 Nov 2019 06:37:30 +0100
