## horizon-eda 0.20191210

=== debian/changelog ===
horizon-eda (0.20191210-1) unstable; urgency=medium

  * New git snapshot

 -- Uwe Steinmann <steinm@debian.org>  Wed, 11 Dec 2019 08:29:46 +0100
