## horizon-eda 0.20191213

=== debian/changelog ===
horizon-eda (0.20191213-1) unstable; urgency=medium

  * New git snapshot (equals version 0.9.5)
  * set new Homepage in control file
  * add copyright for metainfo.xml file

 -- Uwe Steinmann <steinm@debian.org>  Fri, 13 Dec 2019 07:00:09 +0100
