=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  liboce-ocaf-dev, libdxflib-dev,
  libzip-dev, libglib2.0-dev, libpodofo-dev
 Standards-Version: 4.3.0
-Homepage: https://github.com/carrotIndustries/horizon
+Homepage: https://horizon-eda.org/
 Vcs-Git: https://www.github.com/carrotIndustries/horizon
 Vcs-Browser: https://www.github.com/carrotIndustries/horizon
 Rules-requires-root: no
