=== debian/rules ===
--- 
+++ 
@@ -11,22 +11,15 @@
 #export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
 # package maintainers to append LDFLAGS
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
-
+export PREFIX=/usr
 
 %:
-	dh $@ 
+	dh $@
 
 
 override_dh_auto_build:
 	doxygen doxygen.config
 	dh_auto_build
-
-override_dh_auto_install:
-	dh_install
-ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
-	# should be $(PACKAGE)/$(PREFIX)
-	strip $(CURDIR)/debian/horizon-eda/usr/bin/*
-endif
 
 override_dh_clean:
 	-rm -r docs
