## horizon-eda 0.20200117

=== debian/changelog ===
horizon-eda (0.20200117-1) unstable; urgency=medium

  * New git snapshot (equals version 0.9.7)
  * Remove Vcs-Git and Vcs-Control
  * install collage.png for 02-local-collage patch
  * remove src/preferences/color_presets.json in debian/rules
  * Bump standards version to 4.4.0 (no changes required)

 -- Uwe Steinmann <steinm@debian.org>  Fri, 17 Jan 2020 08:39:17 +0100
