## horizon-eda 1.0.0

=== Makefile ===
--- 
+++ 
@@ -72,6 +72,7 @@
 	src/board/fab_output_settings.cpp\
 	src/board/board_hole.cpp\
 	src/board/connection_line.cpp\
+	src/board/step_export_settings.cpp\
 	src/pool/pool.cpp \
 	src/util/placement.cpp\
 	src/util/util.cpp\
@@ -376,4 +377,3 @@
 	src/widgets/tag_entry.cpp\
 	src/widgets/layer_help_box.cpp\
 	src/preferences/preferences_util.cpp\
-	src/preferences/preferences_provider.cpp\
