=== debian/changelog ===
horizon-eda (1.0.0-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 24 Mar 2020 15:04:54 +0100

horizon-eda (1.0.0-1) unstable; urgency=medium

  * New upstream version

 -- Uwe Steinmann <steinm@debian.org>  Wed, 29 Jan 2020 21:29:38 +0100
