=== debian/control ===
--- 
+++ 
@@ -9,10 +9,8 @@
  libzmq3-dev, libglm-dev, libgit2-dev, libcurl4-gnutls-dev,
  liboce-ocaf-dev, libdxflib-dev,
  libzip-dev, libglib2.0-dev, libpodofo-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: https://horizon-eda.org/
-Vcs-Git: https://www.github.com/carrotIndustries/horizon
-Vcs-Browser: https://www.github.com/carrotIndustries/horizon
 Rules-requires-root: no
 
 Package: horizon-eda
