=== debian/rules ===
--- 
+++ 
@@ -23,6 +23,7 @@
 
 override_dh_clean:
 	-rm -r docs
+	-rm -f src/preferences/color_presets.json
 	dh_clean
 
 #generate a version file from the git repo.
