## horizon-eda 1.0.91

=== debian/changelog ===
horizon-eda (1.0.91-1) unstable; urgency=medium

  * New upstream version

 -- Uwe Steinmann <steinm@debian.org>  Mon, 27 Apr 2020 16:26:33 +0200
