## horizon-eda 1.1.0

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 PKGCONFIG=pkg-config
 BUILDDIR = build
-PROGS    = $(addprefix $(BUILDDIR)/horizon-,imp pool prj eda)
+PROGS    = $(addprefix $(BUILDDIR)/horizon-,imp eda)
 
 all: $(PROGS)
 pymodule: $(BUILDDIR)/horizon.so
@@ -53,6 +53,7 @@
 	src/board/board.cpp\
 	src/board/board_package.cpp\
 	src/board/track.cpp\
+	src/board/airwire.cpp\
 	src/board/via_padstack_provider.cpp\
 	src/board/via.cpp\
 	src/board/plane.cpp\
@@ -73,6 +74,8 @@
 	src/board/board_hole.cpp\
 	src/board/connection_line.cpp\
 	src/board/step_export_settings.cpp\
+	src/board/pnp_export_settings.cpp\
+	src/board/pnp.cpp\
 	src/pool/pool.cpp \
 	src/util/placement.cpp\
 	src/util/util.cpp\
@@ -96,6 +99,9 @@
 	src/common/keepout.cpp\
 	src/board/board_layers.cpp\
 	src/pool/pool_parametric.cpp \
+	src/board/included_board.cpp \
+	src/board/board_panel.cpp \
+	src/pool/pool_cached.cpp\
 
 ifeq ($(OS),Windows_NT)
     SRC_COMMON += src/util/uuid_win32.cpp
@@ -146,6 +152,7 @@
 	src/imp/imp_schematic.cpp\
 	src/imp/imp_padstack.cpp\
 	src/imp/imp_package.cpp\
+	src/imp/imp_package_3d.cpp\
 	src/imp/imp_board.cpp\
 	src/imp/imp_frame.cpp\
 	src/imp/tool_popover.cpp\
@@ -153,94 +160,102 @@
 	src/imp/action.cpp\
 	src/imp/action_catalog.cpp\
 	$(SRC_CANVAS) \
+	src/document/document.cpp \
+	src/document/document_board.cpp \
 	src/core/core.cpp \
+	src/core/tool.cpp \
 	src/core/create_tool.cpp \
 	src/core/core_properties.cpp\
-	src/core/tool_move.cpp\
-	src/core/tool_place_junction.cpp\
-	src/core/tool_draw_line.cpp\
-	src/core/tool_delete.cpp\
-	src/core/tool_draw_arc.cpp\
-	src/core/tool_map_pin.cpp\
-	src/core/tool_map_symbol.cpp\
-	src/core/tool_draw_line_net.cpp\
-	src/core/tool_place_text.cpp\
-	src/core/tool_place_net_label.cpp\
-	src/core/tool_disconnect.cpp\
-	src/core/tool_bend_line_net.cpp\
-	src/core/tool_move_net_segment.cpp\
-	src/core/tool_place_power_symbol.cpp\
-	src/core/tool_edit_symbol_pin_names.cpp\
-	src/core/tool_place_bus_label.cpp\
-	src/core/tool_place_bus_ripper.cpp\
-	src/core/tool_manage_buses.cpp\
-	src/core/tool_draw_polygon.cpp\
-	src/core/tool_enter_datum.cpp\
-	src/core/tool_place_hole.cpp\
-	src/core/tool_place_pad.cpp\
-	src/core/tool_paste.cpp\
-	src/core/tool_assign_part.cpp\
-	src/core/tool_map_package.cpp\
-	src/core/tool_draw_track.cpp\
-	src/core/tool_place_via.cpp\
-	src/core/tool_route_track.cpp\
-	src/core/tool_drag_keep_slope.cpp\
-	src/core/tool_add_part.cpp\
-	src/core/tool_smash.cpp\
-	src/core/tool_place_shape.cpp\
-	src/core/tool_edit_shape.cpp\
-	src/core/tool_import_dxf.cpp\
-	src/core/tool_edit_parameter_program.cpp\
-	src/core/tool_edit_pad_parameter_set.cpp\
-	src/core/tool_draw_polygon_rectangle.cpp\
-	src/core/tool_draw_line_rectangle.cpp\
-	src/core/tool_edit_line_rectangle.cpp\
-	src/core/tool_helper_map_symbol.cpp\
-	src/core/tool_helper_move.cpp\
-	src/core/tool_helper_merge.cpp\
-	src/core/tool_edit_via.cpp\
-	src/core/tool_rotate_arbitrary.cpp\
-	src/core/tool_edit_plane.cpp\
-	src/core/tool_update_all_planes.cpp\
-	src/core/tool_draw_dimension.cpp\
-	src/core/tool_set_diffpair.cpp\
-	src/core/tool_set_via_net.cpp\
-	src/core/tool_lock.cpp\
-	src/core/tool_add_vertex.cpp\
-	src/core/tool_place_board_hole.cpp\
-	src/core/tool_edit_board_hole.cpp\
-	src/core/tool_generate_courtyard.cpp\
-	src/core/tool_set_group.cpp\
-	src/core/tool_copy_placement.cpp\
-	src/core/tool_copy_tracks.cpp\
-	src/core/tool_swap_nets.cpp\
-	src/core/tool_line_loop_to_polygon.cpp\
-	src/core/tool_change_unit.cpp\
-	src/core/tool_helper_line_width_setting.cpp\
-	src/core/tool_set_nc_all.cpp\
-	src/core/tool_set_nc.cpp\
-	src/core/tool_add_keepout.cpp\
-	src/core/tool_helper_draw_net_setting.cpp\
-	src/core/tool_helper_get_symbol.cpp\
-	src/core/tool_change_symbol.cpp\
-	src/core/tool_place_refdes_and_value.cpp\
-	src/core/tool_helper_restrict.cpp\
-	src/core/tool_draw_polygon_circle.cpp\
-	src/core/tool_draw_connection_line.cpp\
-	src/core/tool_backannotate_connection_lines.cpp\
-	src/core/tool_import_kicad_package.cpp\
-	src/core/tool_smash_silkscreen_graphics.cpp\
-	src/core/tool_renumber_pads.cpp\
-	src/core/tool_fix.cpp\
-	src/core/tool_polygon_to_line_loop.cpp\
-	src/core/cores.cpp\
+	src/core/tools/tool_move.cpp\
+	src/core/tools/tool_place_junction.cpp\
+	src/core/tools/tool_draw_line.cpp\
+	src/core/tools/tool_delete.cpp\
+	src/core/tools/tool_draw_arc.cpp\
+	src/core/tools/tool_map_pin.cpp\
+	src/core/tools/tool_map_symbol.cpp\
+	src/core/tools/tool_draw_line_net.cpp\
+	src/core/tools/tool_place_text.cpp\
+	src/core/tools/tool_place_net_label.cpp\
+	src/core/tools/tool_disconnect.cpp\
+	src/core/tools/tool_bend_line_net.cpp\
+	src/core/tools/tool_move_net_segment.cpp\
+	src/core/tools/tool_place_power_symbol.cpp\
+	src/core/tools/tool_edit_symbol_pin_names.cpp\
+	src/core/tools/tool_place_bus_label.cpp\
+	src/core/tools/tool_place_bus_ripper.cpp\
+	src/core/tools/tool_manage_buses.cpp\
+	src/core/tools/tool_draw_polygon.cpp\
+	src/core/tools/tool_enter_datum.cpp\
+	src/core/tools/tool_place_hole.cpp\
+	src/core/tools/tool_place_pad.cpp\
+	src/core/tools/tool_paste.cpp\
+	src/core/tools/tool_assign_part.cpp\
+	src/core/tools/tool_map_package.cpp\
+	src/core/tools/tool_draw_track.cpp\
+	src/core/tools/tool_place_via.cpp\
+	src/core/tools/tool_route_track.cpp\
+	src/core/tools/tool_drag_keep_slope.cpp\
+	src/core/tools/tool_add_part.cpp\
+	src/core/tools/tool_smash.cpp\
+	src/core/tools/tool_place_shape.cpp\
+	src/core/tools/tool_edit_shape.cpp\
+	src/core/tools/tool_import_dxf.cpp\
+	src/core/tools/tool_edit_pad_parameter_set.cpp\
+	src/core/tools/tool_draw_polygon_rectangle.cpp\
+	src/core/tools/tool_draw_line_rectangle.cpp\
+	src/core/tools/tool_edit_line_rectangle.cpp\
+	src/core/tools/tool_helper_map_symbol.cpp\
+	src/core/tools/tool_helper_move.cpp\
+	src/core/tools/tool_helper_merge.cpp\
+	src/core/tools/tool_edit_via.cpp\
+	src/core/tools/tool_rotate_arbitrary.cpp\
+	src/core/tools/tool_edit_plane.cpp\
+	src/core/tools/tool_update_all_planes.cpp\
+	src/core/tools/tool_draw_dimension.cpp\
+	src/core/tools/tool_set_diffpair.cpp\
+	src/core/tools/tool_set_via_net.cpp\
+	src/core/tools/tool_lock.cpp\
+	src/core/tools/tool_add_vertex.cpp\
+	src/core/tools/tool_place_board_hole.cpp\
+	src/core/tools/tool_edit_board_hole.cpp\
+	src/core/tools/tool_generate_courtyard.cpp\
+	src/core/tools/tool_generate_silkscreen.cpp\
+	src/core/tools/tool_set_group.cpp\
+	src/core/tools/tool_copy_placement.cpp\
+	src/core/tools/tool_copy_tracks.cpp\
+	src/core/tools/tool_swap_nets.cpp\
+	src/core/tools/tool_line_loop_to_polygon.cpp\
+	src/core/tools/tool_change_unit.cpp\
+	src/core/tools/tool_helper_line_width_setting.cpp\
+	src/core/tools/tool_set_nc_all.cpp\
+	src/core/tools/tool_set_nc.cpp\
+	src/core/tools/tool_add_keepout.cpp\
+	src/core/tools/tool_helper_draw_net_setting.cpp\
+	src/core/tools/tool_helper_get_symbol.cpp\
+	src/core/tools/tool_change_symbol.cpp\
+	src/core/tools/tool_place_refdes_and_value.cpp\
+	src/core/tools/tool_helper_restrict.cpp\
+	src/core/tools/tool_draw_polygon_circle.cpp\
+	src/core/tools/tool_draw_connection_line.cpp\
+	src/core/tools/tool_backannotate_connection_lines.cpp\
+	src/core/tools/tool_import_kicad_package.cpp\
+	src/core/tools/tool_smash_silkscreen_graphics.cpp\
+	src/core/tools/tool_renumber_pads.cpp\
+	src/core/tools/tool_fix.cpp\
+	src/core/tools/tool_nopopulate.cpp\
+	src/core/tools/tool_polygon_to_line_loop.cpp\
+	src/core/tools/tool_place_board_panel.cpp\
+	src/core/tools/tool_smash_panel_outline.cpp\
+	src/core/tools/tool_smash_package_outline.cpp\
+	src/core/tools/tool_resize_symbol.cpp\
+	src/core/tools/tool_round_off_vertex.cpp\
+	src/document/documents.cpp\
 	src/core/clipboard.cpp\
 	src/core/buffer.cpp\
 	src/dialogs/map_pin.cpp\
 	src/dialogs/map_symbol.cpp\
 	src/dialogs/map_package.cpp\
 	src/dialogs/ask_net_merge.cpp\
-	src/dialogs/ask_delete_component.cpp\
 	src/dialogs/select_net.cpp\
 	src/dialogs/symbol_pin_names_window.cpp\
 	src/dialogs/manage_buses.cpp\
@@ -252,8 +267,6 @@
 	src/dialogs/edit_shape.cpp\
 	src/dialogs/manage_net_classes.cpp\
 	src/dialogs/manage_power_nets.cpp\
-	src/dialogs/edit_parameter_program.cpp\
-	src/dialogs/edit_parameter_set.cpp\
 	src/dialogs/edit_pad_parameter_set.cpp\
 	src/dialogs/edit_via.cpp\
 	src/dialogs/pool_browser_dialog.cpp\
@@ -267,6 +280,10 @@
 	src/dialogs/ask_datum_angle.cpp\
 	src/dialogs/tool_window.cpp\
 	src/dialogs/renumber_pads_window.cpp\
+	src/dialogs/generate_silkscreen_window.cpp\
+	src/dialogs/select_included_board.cpp\
+	src/dialogs/manage_included_boards.cpp\
+	src/dialogs/enter_datum_window.cpp\
 	src/util/sort_controller.cpp\
 	src/core/core_symbol.cpp\
 	src/core/core_schematic.cpp\
@@ -292,6 +309,7 @@
 	src/widgets/component_button.cpp\
 	src/widgets/preview_canvas.cpp\
 	src/widgets/about_dialog.cpp\
+	src/widgets/project_meta_editor.cpp\
 	src/export_pdf/canvas_pdf.cpp\
 	src/export_pdf/export_pdf.cpp\
 	src/export_pdf/export_pdf_board.cpp\
@@ -342,38 +360,3 @@
 	src/imp/rules/rule_editor_diffpair.cpp\
 	src/imp/rules/rule_editor_package_checks.cpp\
 	src/imp/rules/rule_editor_clearance_copper_keepout.cpp\
-	src/rules/rules_with_core.cpp\
-	src/rules/cache.cpp\
-	src/board/board_rules_check.cpp\
-	src/schematic/schematic_rules_check.cpp\
-	src/package/package_rules_check.cpp\
-	src/board/plane_update.cpp\
-	src/imp/symbol_preview/symbol_preview_window.cpp\
-	src/imp/symbol_preview/preview_box.cpp\
-	src/util/gtk_util.cpp\
-	src/imp/fab_output_window.cpp\
-	src/imp/bom_export_window.cpp\
-	src/imp/pdf_export_window.cpp\
-	src/imp/3d_view.cpp\
-	src/imp/step_export_window.cpp\
-	src/imp/tuning_window.cpp\
-	src/canvas3d/canvas3d.cpp\
-	src/canvas3d/cover.cpp\
-	src/canvas3d/wall.cpp\
-	src/canvas3d/face.cpp\
-	src/canvas3d/background.cpp\
-	src/imp/header_button.cpp\
-	src/preferences/preferences.cpp\
-	src/pool/pool_cached.cpp\
-	src/canvas/canvas_pads.cpp\
-	src/util/window_state_store.cpp\
-	src/widgets/board_display_options.cpp\
-	src/widgets/log_window.cpp\
-	src/widgets/log_view.cpp\
-	src/imp/hud_util.cpp\
-	src/util/pool_completion.cpp\
-	src/export_bom/export_bom.cpp\
-	src/widgets/unplaced_box.cpp\
-	src/widgets/tag_entry.cpp\
-	src/widgets/layer_help_box.cpp\
-	src/preferences/preferences_util.cpp\
