=== debian/changelog ===
horizon-eda (1.1.0-1build1) groovy; urgency=medium

  * Rebuild against new yaml-cpp.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 29 May 2020 14:20:02 +0200

horizon-eda (1.1.0-1) unstable; urgency=medium

  * New upstream version

 -- Uwe Steinmann <steinm@debian.org>  Thu, 30 Apr 2020 07:53:01 +0200
